shishi_as_rep_der_set(3)

NAME
shishi_as_rep_der_set - API function

SYNOPSIS
#include <shishi.h>

int shishi_as_rep_der_set(Shishi_as * as, char * der, size_t derlen);

ARGUMENTS

Shishi_as * as
    structure that holds information about AS exchange

char * der
    input array with DER encoded AP-REP.

size_t derlen
    length of input array with DER encoded AP-REP.

DESCRIPTION
DER decode AS-REP and set it AS exchange. If decoding fails, the AS-REP in the AS exchange remains.

RETURN VALUE
Returns SHISHI_OK.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.